# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.92"
name = "huskarl-resource-server"
version = "0.5.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "OAuth2 resource server (JWT validation) support for the huskarl ecosystem."
homepage = "https://github.com/huskarl-rs/huskarl"
documentation = "https://docs.rs/huskarl-resource-server"
readme = "README.md"
keywords = [
    "oauth2",
    "jwt",
    "security",
    "authentication",
]
categories = ["authentication"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/huskarl-rs/huskarl"

[features]
default = ["default-jws-verifier-platform"]
default-jws-verifier-platform = [
    "dep:huskarl-crypto-native",
    "dep:huskarl-crypto-webcrypto",
]

[lib]
name = "huskarl_resource_server"
path = "src/lib.rs"

[[example]]
name = "basic"
path = "examples/basic.rs"

[[test]]
name = "rfc9068"
path = "tests/rfc9068.rs"

[dependencies.base64]
version = "0.22"
features = ["std"]
default-features = false

[dependencies.bon]
version = "3.9"
features = [
    "experimental-generics-setters",
    "experimental-overwritable",
    "implied-bounds",
]
default-features = false

[dependencies.bytes]
version = "1"
default-features = false

[dependencies.form_urlencoded]
version = "1"
features = ["std"]
default-features = false

[dependencies.http]
version = "1"

[dependencies.huskarl-core]
version = "0.4"

[dependencies.serde]
version = "1.0"
features = [
    "derive",
    "std",
]
default-features = false

[dependencies.serde_json]
version = "1"
features = ["std"]
default-features = false

[dependencies.sha2]
version = "0.11"
default-features = false

[dependencies.snafu]
version = "0.9"
features = [
    "rust_1_81",
    "std",
]
default-features = false

[dev-dependencies.metrics]
version = "0.24"
default-features = false

[target.'cfg(all(target_arch = "wasm32", any(target_os = "unknown", target_os = "none")))'.dependencies.getrandom]
version = "0.4"
features = ["wasm_js"]
default-features = false

[target.'cfg(all(target_arch = "wasm32", any(target_os = "unknown", target_os = "none")))'.dependencies.gloo-timers]
version = "0.3"
features = ["futures"]
default-features = false

[target.'cfg(all(target_arch = "wasm32", any(target_os = "unknown", target_os = "none")))'.dependencies.huskarl-crypto-webcrypto]
version = "0.4"
optional = true

[target.'cfg(all(target_arch = "wasm32", any(target_os = "unknown", target_os = "none")))'.dependencies.web-time]
version = "1"
default-features = false

[target.'cfg(all(target_arch = "wasm32", any(target_os = "unknown", target_os = "none")))'.dev-dependencies.wasm-bindgen-test]
version = "0.3"

[target.'cfg(not(all(target_arch = "wasm32", any(target_os = "unknown", target_os = "none"))))'.dependencies.huskarl-crypto-native]
version = "0.5"
optional = true

[target.'cfg(not(all(target_arch = "wasm32", any(target_os = "unknown", target_os = "none"))))'.dependencies.tokio]
version = "1"
features = ["time"]
default-features = false

[target.'cfg(not(target_family = "wasm"))'.dev-dependencies.httpmock]
version = "0.8.3"

[target.'cfg(not(target_family = "wasm"))'.dev-dependencies.huskarl-reqwest]
version = "0.4"

[target.'cfg(not(target_family = "wasm"))'.dev-dependencies.tokio]
version = "1"
features = [
    "macros",
    "rt-multi-thread",
]
